﻿@using Microsoft.AspNetCore.Identity;
@using Microsoft.AspNetCore.Http;
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser>   UserManager
@inject IHttpContextAccessor HttpContextAccessor

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>

    <meta charset="utf-8">
    <link rel="apple-touch-icon" sizes="76x76" href="">
    <link rel="icon" type="image/png" href="">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>پنل مدیریت لامینگو</title>
    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
    <meta name="viewport" content="width=device-width">

    <link href="~/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Kendo/Style/fontStyle/MaterialIcons.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Kendo/Style/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Kendo/Style/kendo.mobile.all.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Kendo/Style/kendo.material.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Kendo/Style/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/bootstrap.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/material-dashboard.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/demo.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/custom.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />


    @RenderSection("Styles", required: false)


    <script src="~/ADMIN/Content/Kendo/js/jquery.min.js"></script>
    <script src="~/ADMIN/Content/Kendo/js/jszip.min.js"></script>
    <script src="~/ADMIN/Content/Kendo/js/kendo.all.min.js"></script>
    <script src="~/ADMIN/Content/Kendo/js/kendo.aspnetmvc.min.js"></script>
    <script src="~/ADMIN/Content/Kendo/js/kendo.fa-IR.js"></script>

    @RenderSection("script", required: false)
    <environment include="Development">
    </environment>

    <environment exclude="Development">

    </environment>


</head>
<body cz-shortcut-listen="true">

    <div class="wrapper">
        <div class="sidebar" data-active-color="orange" data-background-color="black" data-image="" style="overflow:hidden;">

            <div class="logo">
                <a href="" class="simple-text logo-mini">
                    law
                </a>

                <a href="" class="simple-text logo-normal" style="margin-right:25px;color:#ffbf00">
                    lawmingo
                </a>
            </div>

            <div class="sidebar-wrapper ps-container ps-theme-default ps-active-y" data-ps-id="ad5e8a12-79b0-4cb2-c919-d5c4e15499c2" style="overflow:hidden;">
                <div class="user">
                    <div class="photo" style="margin-top:11px;">
                        <img src="~/ADMIN/Content/img/avatar.png">
                    </div>
                    <div class="info" style="margin-top: -7px;">
                        <a data-toggle="collapse" href="#collapseExample" class="collapsed">
                            <span>

                                @*@{
                                        if (User.Identity.IsAuthenticated)
                                        {
                                            var result = UserManager.FindByIdAsync(UserManager.GetUserId(HttpContextAccessor.HttpContext.User));

                                            if (result.Result != null && !string.IsNullOrEmpty(result.Result.Email))
                                            {
                                                <span style="font-family:Tahoma; font-size:10px; letter-spacing:1.2px;">@result.Result.Email</span>
                                            }

                                            if (result.Result != null && !string.IsNullOrEmpty(result.Result.PhoneNumber))
                                            {
                                                <span style="font-family:Tahoma; font-size:10px; letter-spacing:1.2px;">@result.Result.PhoneNumber</span>
                                            }
                                        }

                                    }*@

                                <b class="caret"></b>
                                <p style="margin-bottom:0;">نقش کاربر : <span style="font-weight:normal;">مدیر</span></p>
                            </span>
                        </a>

                        <div class="clearfix"></div>
                        <div class="collapse" id="collapseExample">
                            @{
                                if (User.Identity.IsAuthenticated)
                                {
                                    @Html.AntiForgeryToken()
                                    <ul class="nav">
                                        <li>
                                            <a href="#">
                                                <span class="sidebar-normal">پروفایل </span>
                                            </a>
                                        </li>
                                        <li>
                                            <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                                                <button style="background: black;border-color: black;margin-right: 15px;margin-top: 10px;color: white;" type="submit" class="sidebar-normal"> @*<i class="fa fa-sign-out"></i>*@ خروج از حساب</button>
                                            </form>
                                        </li>
                                    </ul>
                                }
                            }

                        </div>
                    </div>
                </div>
                <ul class="nav">

                    @* menu with subMenu *@
                    @*<li>
                            <a data-toggle="collapse" href="#pagesExamples">
                                <i class="material-icons">account_box</i>
                                <p>
                                    تنظیمات کاربران
                                    <b class="caret"></b>
                                </p>
                            </a>
                            <div class="collapse" id="pagesExamples">
                                <ul class="nav">
                                    <Menu-Item Controller="Users" destination="@ViewContext.RouteData.Values["controller"].ToString()">
                                        <Menu-Item-Content Controller="Users" Icon="" title="لیست کاربران"></Menu-Item-Content>
                                    </Menu-Item>
                                </ul>
                            </div>
                        </li>*@

                    <Menu-Item Controller="Home" destination="@ViewContext">
                        <Menu-Item-Content Controller="Home" Icon="dashboard" title="پنل مدیریت"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="Users" destination="@ViewContext">
                        <Menu-Item-Content Controller="Users" Icon="supervised_user_circle" title="لیست کاربران"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="Category" destination="@ViewContext">
                        <Menu-Item-Content Controller="Category" Icon="group_work" title="گروه"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="Contract" destination="@ViewContext">
                        <Menu-Item-Content Controller="Contract" Icon="library_books" title="قرارداد‌ها"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="Coupon" destination="@ViewContext">
                        <Menu-Item-Content Controller="Coupon" Icon="card_giftcard" title="کوپن"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="UserContract" destination="@ViewContext">
                        <Menu-Item-Content Controller="UserContract" Icon="file_copy" title="قراردادهای درخواستی"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="Subscription" destination="@ViewContext">
                        <Menu-Item-Content Controller="Subscription" Icon="card_membership" title="آبونمان"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="UserSubscription" destination="@ViewContext">
                        <Menu-Item-Content Controller="UserSubscription" Icon="notification_important" title="درخواست های آبونمان"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="Counselor" destination="@ViewContext">
                        <Menu-Item-Content Controller="Counselor" Icon="airline_seat_recline_normal" title="مشاور"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="ConsultationRequest" destination="@ViewContext">
                        <Menu-Item-Content Controller="ConsultationRequest" Icon="notifications_active" title="درخواست های مشاوره"></Menu-Item-Content>
                    </Menu-Item>

                    <Menu-Item Controller="CounselorCategory" destination="@ViewContext">
                        <Menu-Item-Content Controller="CounselorCategory" Icon="group_work" title="گروه مشاور"></Menu-Item-Content>
                    </Menu-Item>
                    <Menu-Item Controller="Questions" destination="@ViewContext">
                        <Menu-Item-Content Controller="Questions" Icon="question_answer" title="فروم پرسش و پاسخ"></Menu-Item-Content>
                    </Menu-Item>

                </ul>
            </div>

            <div class="sidebar-background"></div>
        </div>
        @RenderBody()
    </div>

    <environment include="Development">

    </environment>

    <script src="~/ADMIN/JS/perfect-scrollbar.jquery.min.js"></script>
    <script src="~/ADMIN/JS/bootstrap.min.js"></script>
    <script src="~/ADMIN/JS/popper.min.js"></script>
    <script src="~/ADMIN/JS/material.min.js"></script>
    <script src="~/ADMIN/JS/chartist.min.js"></script>
    <script src="~/ADMIN/JS/material-dashboard.js"></script>
    <script src="~/ADMIN/JS/demo.js"></script>


    @RenderSection("scripts", required: false)

    <script src="https://static.pushe.co/pusheweb.js"></script>
    <script>
        Pushe.init("6g03y5wk9j4jworg");
        Pushe.subscribe();
    </script>

</body>
</html>
